Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class DefaultContainerClassEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.groupware.DefaultContainerClassEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class DefaultContainerClassEnum
extends CollabEnum
implements java.io.Serializable

The enumeration class that contains `DefaultContainerClass` elements.

See Also:
  Serialized Form

Field Summary
`static DefaultContainerClass` | `CALENDAR`
`static DefaultContainerClass` | `CONTACTS`
`static DefaultContainerClass` | `DELETED`
`static DefaultContainerClass` | `DRAFTS`
`static DefaultContainerClass` | `INBOX`
`static int` | `NUM_ELEMENTS`
`static DefaultContainerClass` | `SENT`
`static DefaultContainerClass` | `TASKS`
`static int` | `VALUE_CALENDAR`
`static int` | `VALUE_CONTACTS`
`static int` | `VALUE_DELETED`
`static int` | `VALUE_DRAFTS`
`static int` | `VALUE_INBOX`
`static int` | `VALUE_SENT`
`static int` | `VALUE_TASKS`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `DefaultContainerClassEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `DefaultContainerClassEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_CALENDAR

    public static final int VALUE_CALENDAR

### VALUE_CONTACTS

    public static final int VALUE_CONTACTS

### VALUE_DELETED

    public static final int VALUE_DELETED

### VALUE_DRAFTS

    public static final int VALUE_DRAFTS

### VALUE_INBOX

    public static final int VALUE_INBOX

### VALUE_SENT

    public static final int VALUE_SENT

### VALUE_TASKS

    public static final int VALUE_TASKS

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### CALENDAR

    public static final DefaultContainerClass CALENDAR

### CONTACTS

    public static final DefaultContainerClass CONTACTS

### DELETED

    public static final DefaultContainerClass DELETED

### DRAFTS

    public static final DefaultContainerClass DRAFTS

### INBOX

    public static final DefaultContainerClass INBOX

### SENT

    public static final DefaultContainerClass SENT

### TASKS

    public static final DefaultContainerClass TASKS

Constructor Detail

### DefaultContainerClassEnum

    protected DefaultContainerClassEnum(java.lang.Class elementClass,
                                        int iNumElements,
                                        com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                        EnumElement defaultElement,
                                        java.lang.String sInternalName,
                                        boolean bMaskable)

  Constructor.

### DefaultContainerClassEnum

    protected DefaultContainerClassEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.